Get Portal Session
curl --request GET \
--url https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-sessions/{session_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-sessions/{session_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-sessions/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"session": {
"id": "<string>",
"workspace_id": "<string>",
"template_id": "<string>",
"template_name": "<string>",
"contact_id": "<string>",
"reservation_id": "<string>",
"submission_id": "<string>",
"state": "outstanding",
"status": "active",
"source_channel": "auto",
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"viewed_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"last_interaction_at": "2023-11-07T05:31:56Z",
"delivered_at": "2023-11-07T05:31:56Z",
"delivery_failed_at": "2023-11-07T05:31:56Z",
"delivery_failure_reason": "<string>"
},
"contact": {
"id": "<string>",
"full_name": "<string>",
"email": "<string>",
"phone": "<string>"
},
"reservation": {
"id": "<string>",
"external_id": "<string>",
"channel_reservation_id": "<string>",
"confirmation_code": "<string>",
"pms_platform": "<string>",
"arrival_date": "<string>",
"departure_date": "<string>"
},
"submission": {
"id": "<string>",
"scope": "reservation",
"origin_session_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"tickets": [
{
"id": "<string>",
"delivered_at": "2023-11-07T05:31:56Z"
}
],
"progress": {
"status": "not_started",
"next_step": "agreement",
"counts": {
"total": 1,
"completed": 1,
"pending": 1,
"waived": 1
},
"steps": [
{
"step_type": "agreement",
"state": "pending",
"completed_at": "2023-11-07T05:31:56Z",
"waived": {
"at": "2023-11-07T05:31:56Z",
"by_name": "<string>",
"reason": "<string>"
},
"details": {
"submissions": [
{
"instance_id": "<string>",
"signed_at": "2023-11-07T05:31:56Z",
"signature_name": "<string>",
"title": "<string>",
"body": "<string>",
"field_responses": [
{
"field_id": "<string>",
"kind": "short_text",
"value": "<string>"
}
]
}
]
}
}
]
},
"orders": [
{
"id": "<string>",
"kind": "purchase",
"status": "pending",
"buyer_contact_id": "<string>",
"currency": "<string>",
"subtotal_in_cents": 123,
"tax_in_cents": 123,
"total_in_cents": 123,
"items": [
{
"offer_id": "<string>",
"name": "<string>",
"unit_amount_in_cents": 123,
"quantity": 123,
"total_in_cents": 123
}
],
"form_inputs": [
{
"block_id": "<string>",
"name": "<string>",
"label": "<string>",
"value": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"purchased_at": "2023-11-07T05:31:56Z",
"failed_at": "2023-11-07T05:31:56Z",
"refunded_at": "2023-11-07T05:31:56Z"
}
],
"assets": [
{
"kind": "id_document",
"step_type": "agreement",
"document_type": "drivers_license",
"subject": {
"type": "contact",
"contact_id": "<string>"
},
"field": {
"id": "<string>",
"label": "<string>"
},
"field_path": "<string>",
"file_name": "<string>",
"content_type": "<string>",
"download_url": "<string>",
"url_expires_at": "2023-11-07T05:31:56Z",
"unavailable_reason": "provider_hosted"
}
]
}
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}Sessions
Get Portal Session
Get a portal session with submitted fields, progress, orders, tickets, and stored assets.
GET
/
v1
/
workspaces
/
{workspace_id}
/
portal-sessions
/
{session_id}
Get Portal Session
Authorizations
Conduit API token. Use Authorization: Bearer <token>. Read/write endpoints require a token with write access.
Path Parameters
Workspace identifier
Minimum string length:
1Portal session identifier
Minimum string length:
1Response
Get Portal Session
Show child attributes
Show child attributes
Was this page helpful?